[arch-commits] Commit in harfbuzz/repos (4 files)
Jan Steffens
heftig at nymeria.archlinux.org
Fri Jul 11 18:35:27 UTC 2014
Date: Friday, July 11, 2014 @ 20:35:27
Author: heftig
Revision: 216817
archrelease: copy trunk to extra-i686, extra-x86_64
Added:
harfbuzz/repos/extra-i686/PKGBUILD
(from rev 216816, harfbuzz/trunk/PKGBUILD)
harfbuzz/repos/extra-x86_64/PKGBUILD
(from rev 216816, harfbuzz/trunk/PKGBUILD)
Deleted:
harfbuzz/repos/extra-i686/PKGBUILD
harfbuzz/repos/extra-x86_64/PKGBUILD
-----------------------+
/PKGBUILD | 102 ++++++++++++++++++++++++++++++++++++++++++++++++
extra-i686/PKGBUILD | 46 ---------------------
extra-x86_64/PKGBUILD | 46 ---------------------
3 files changed, 102 insertions(+), 92 deletions(-)
Deleted: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD 2014-07-11 18:34:24 UTC (rev 216816)
+++ extra-i686/PKGBUILD 2014-07-11 18:35:27 UTC (rev 216817)
@@ -1,46 +0,0 @@
-# $Id$
-# Maintainer: Jan de Groot <jgc at archlinux.org>
-
-pkgbase=(harfbuzz)
-pkgname=(harfbuzz harfbuzz-icu)
-pkgver=0.9.29
-pkgrel=1
-pkgdesc="OpenType text shaping engine"
-arch=(i686 x86_64)
-url="http://www.freedesktop.org/wiki/Software/HarfBuzz"
-license=(MIT)
-makedepends=(glib2 freetype2 graphite cairo icu gobject-introspection)
-source=(http://www.freedesktop.org/software/harfbuzz/release/${pkgbase}-${pkgver}.tar.bz2)
-sha256sums=('601cea38c6fa0cf362dd9042c66cf4db711c5f9390de4ca46d6d2fc3f64de390')
-
-build() {
- cd $pkgbase-$pkgver
- ./configure --prefix=/usr \
- --with-glib --with-freetype --with-cairo --with-icu --with-graphite2 \
- --with-gobject
- make
-}
-
-package_harfbuzz() {
- depends=(glib2 freetype2 graphite)
- optdepends=('cairo: hb-view program')
-
- cd $pkgbase-$pkgver
- make DESTDIR="$pkgdir" install
- install -Dm644 COPYING "$pkgdir/usr/share/licenses/harfbuzz/COPYING"
-
-# Split harfbuzz-icu
- mkdir -p ../hb-icu/usr/{include/harfbuzz,lib/pkgconfig}; cd ../hb-icu
- mv "$pkgdir"/usr/lib/libharfbuzz-icu* ./usr/lib
- mv "$pkgdir"/usr/lib/pkgconfig/harfbuzz-icu.pc ./usr/lib/pkgconfig
- mv "$pkgdir"/usr/include/harfbuzz/hb-icu.h ./usr/include/harfbuzz
-}
-
-package_harfbuzz-icu(){
- pkgdesc="$pkgdesc (ICU integration)"
- depends=(harfbuzz icu)
-
- mv hb-icu/* "$pkgdir"
-
- install -Dm644 $pkgbase-$pkgver/COPYING "$pkgdir/usr/share/licenses/harfbuzz-icu/COPYING"
-}
Copied: harfbuzz/repos/extra-i686/PKGBUILD (from rev 216816, harfbuzz/trunk/PKGBUILD)
===================================================================
--- extra-i686/PKGBUILD (rev 0)
+++ extra-i686/PKGBUILD 2014-07-11 18:35:27 UTC (rev 216817)
@@ -0,0 +1,51 @@
+# $Id$
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgbase=(harfbuzz)
+pkgname=(harfbuzz harfbuzz-icu)
+pkgver=0.9.30
+pkgrel=1
+pkgdesc="OpenType text shaping engine"
+arch=(i686 x86_64)
+url="http://www.freedesktop.org/wiki/Software/HarfBuzz"
+license=(MIT)
+makedepends=(glib2 freetype2 graphite cairo icu gobject-introspection)
+source=(http://www.freedesktop.org/software/harfbuzz/release/${pkgbase}-${pkgver}.tar.bz2)
+sha256sums=('fa873f9fe4a5ad4f7beb524475e13a5a8729d7414d2bc64a557c0d5651d58586')
+
+build() {
+ cd $pkgbase-$pkgver
+ ./configure --prefix=/usr \
+ --with-glib --with-freetype --with-cairo --with-icu --with-graphite2 \
+ --with-gobject
+ make
+}
+
+check() {
+ cd $pkgbase-$pkgver
+ make -k check || :
+}
+
+package_harfbuzz() {
+ depends=(glib2 freetype2 graphite)
+ optdepends=('cairo: hb-view program')
+
+ cd $pkgbase-$pkgver
+ make DESTDIR="$pkgdir" install
+ install -Dm644 COPYING "$pkgdir/usr/share/licenses/harfbuzz/COPYING"
+
+# Split harfbuzz-icu
+ mkdir -p ../hb-icu/usr/{include/harfbuzz,lib/pkgconfig}; cd ../hb-icu
+ mv "$pkgdir"/usr/lib/libharfbuzz-icu* ./usr/lib
+ mv "$pkgdir"/usr/lib/pkgconfig/harfbuzz-icu.pc ./usr/lib/pkgconfig
+ mv "$pkgdir"/usr/include/harfbuzz/hb-icu.h ./usr/include/harfbuzz
+}
+
+package_harfbuzz-icu(){
+ pkgdesc="$pkgdesc (ICU integration)"
+ depends=(harfbuzz icu)
+
+ mv hb-icu/* "$pkgdir"
+
+ install -Dm644 $pkgbase-$pkgver/COPYING "$pkgdir/usr/share/licenses/harfbuzz-icu/COPYING"
+}
Deleted: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD 2014-07-11 18:34:24 UTC (rev 216816)
+++ extra-x86_64/PKGBUILD 2014-07-11 18:35:27 UTC (rev 216817)
@@ -1,46 +0,0 @@
-# $Id$
-# Maintainer: Jan de Groot <jgc at archlinux.org>
-
-pkgbase=(harfbuzz)
-pkgname=(harfbuzz harfbuzz-icu)
-pkgver=0.9.29
-pkgrel=1
-pkgdesc="OpenType text shaping engine"
-arch=(i686 x86_64)
-url="http://www.freedesktop.org/wiki/Software/HarfBuzz"
-license=(MIT)
-makedepends=(glib2 freetype2 graphite cairo icu gobject-introspection)
-source=(http://www.freedesktop.org/software/harfbuzz/release/${pkgbase}-${pkgver}.tar.bz2)
-sha256sums=('601cea38c6fa0cf362dd9042c66cf4db711c5f9390de4ca46d6d2fc3f64de390')
-
-build() {
- cd $pkgbase-$pkgver
- ./configure --prefix=/usr \
- --with-glib --with-freetype --with-cairo --with-icu --with-graphite2 \
- --with-gobject
- make
-}
-
-package_harfbuzz() {
- depends=(glib2 freetype2 graphite)
- optdepends=('cairo: hb-view program')
-
- cd $pkgbase-$pkgver
- make DESTDIR="$pkgdir" install
- install -Dm644 COPYING "$pkgdir/usr/share/licenses/harfbuzz/COPYING"
-
-# Split harfbuzz-icu
- mkdir -p ../hb-icu/usr/{include/harfbuzz,lib/pkgconfig}; cd ../hb-icu
- mv "$pkgdir"/usr/lib/libharfbuzz-icu* ./usr/lib
- mv "$pkgdir"/usr/lib/pkgconfig/harfbuzz-icu.pc ./usr/lib/pkgconfig
- mv "$pkgdir"/usr/include/harfbuzz/hb-icu.h ./usr/include/harfbuzz
-}
-
-package_harfbuzz-icu(){
- pkgdesc="$pkgdesc (ICU integration)"
- depends=(harfbuzz icu)
-
- mv hb-icu/* "$pkgdir"
-
- install -Dm644 $pkgbase-$pkgver/COPYING "$pkgdir/usr/share/licenses/harfbuzz-icu/COPYING"
-}
Copied: harfbuzz/repos/extra-x86_64/PKGBUILD (from rev 216816, harfbuzz/trunk/PKGBUILD)
===================================================================
--- extra-x86_64/PKGBUILD (rev 0)
+++ extra-x86_64/PKGBUILD 2014-07-11 18:35:27 UTC (rev 216817)
@@ -0,0 +1,51 @@
+# $Id$
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgbase=(harfbuzz)
+pkgname=(harfbuzz harfbuzz-icu)
+pkgver=0.9.30
+pkgrel=1
+pkgdesc="OpenType text shaping engine"
+arch=(i686 x86_64)
+url="http://www.freedesktop.org/wiki/Software/HarfBuzz"
+license=(MIT)
+makedepends=(glib2 freetype2 graphite cairo icu gobject-introspection)
+source=(http://www.freedesktop.org/software/harfbuzz/release/${pkgbase}-${pkgver}.tar.bz2)
+sha256sums=('fa873f9fe4a5ad4f7beb524475e13a5a8729d7414d2bc64a557c0d5651d58586')
+
+build() {
+ cd $pkgbase-$pkgver
+ ./configure --prefix=/usr \
+ --with-glib --with-freetype --with-cairo --with-icu --with-graphite2 \
+ --with-gobject
+ make
+}
+
+check() {
+ cd $pkgbase-$pkgver
+ make -k check || :
+}
+
+package_harfbuzz() {
+ depends=(glib2 freetype2 graphite)
+ optdepends=('cairo: hb-view program')
+
+ cd $pkgbase-$pkgver
+ make DESTDIR="$pkgdir" install
+ install -Dm644 COPYING "$pkgdir/usr/share/licenses/harfbuzz/COPYING"
+
+# Split harfbuzz-icu
+ mkdir -p ../hb-icu/usr/{include/harfbuzz,lib/pkgconfig}; cd ../hb-icu
+ mv "$pkgdir"/usr/lib/libharfbuzz-icu* ./usr/lib
+ mv "$pkgdir"/usr/lib/pkgconfig/harfbuzz-icu.pc ./usr/lib/pkgconfig
+ mv "$pkgdir"/usr/include/harfbuzz/hb-icu.h ./usr/include/harfbuzz
+}
+
+package_harfbuzz-icu(){
+ pkgdesc="$pkgdesc (ICU integration)"
+ depends=(harfbuzz icu)
+
+ mv hb-icu/* "$pkgdir"
+
+ install -Dm644 $pkgbase-$pkgver/COPYING "$pkgdir/usr/share/licenses/harfbuzz-icu/COPYING"
+}
More information about the arch-commits
mailing list